# Resolve receiver

An decision block that resolves an app broadcast receiver.

If the proceed option is set to Immediately, then resolve the best matching receiver without pausing the fiber. If set to Maybe immediately, then the fiber will not pause if there’s a single or no match, otherwise the fiber will pause until user has chosen a matching receiver, cancelled the dialog or the timeout expired. If set to When user picked, then the fiber will always pause until user has chosen a matching receiver, cancelled the dialog or the timeout expired.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Package — package name of the app receiver.
- Activity class — class name of the app receiver.
- Action — action the receiver should handle.
- Data URI — content URI the receiver should handle.
- MIME type — type of data the Data URI is referring to. See MIME type.
- Category — action category, use an array for multiple categories.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Resolved package — variable to assign the package name of the resolved receiver.
- Resolved receiver class — variable to assign the class name of the resolved receiver.
- Display name — variable to assign the label of the resolved receiver.